Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.handler
Class AbstractHandler

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler

All Implemented Interfaces:
  Handler, LifeCycle

Direct Known Subclasses:
  AbstractHandlerContainer, DefaultHandler, ErrorHandler, ResourceHandler

    public abstract class AbstractHandler

extends AbstractLifeCycle
implements Handler

AbstractHandler.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`AbstractHandler()`

Method Summary
`void` | `destroy()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`java.lang.String` | `dump()`
`void` | `dump(java.lang.Appendable out)`
`protected void` | `dump(java.lang.Appendable out, java.lang.String indent)`
`Server` | `getServer()`
`void` | `setServer(Server server)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.Handler
`handle`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### AbstractHandler

    public AbstractHandler()

Method Detail

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`

### getServer

    public Server getServer()

  Specified by:
    `getServer` in interface `Handler`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Handler`

### dump

    public java.lang.String dump()

### dump

    public void dump(java.lang.Appendable out)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### dump

    protected void dump(java.lang.Appendable out,
                        java.lang.String indent)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.